component:
  - audit
framework: beakerlib
require:
  - url: https://gitlab.cee.redhat.com/special-projects/tests/audit
    name: /Library/testing
    type: library
  - audit
adjust:
  - enabled: false
    when: arch != x86_64
    continue: false
  - enabled: false
    when: distro == rhel-4, rhel-5, rhel-6
    continue: false
contact:
  - Ondrej Moris <omoris@redhat.com>
description: |
    Audit package comes with a set of audit rules files. This test verifies
    that

     a) each of these files can be loaded into kernel and
     b) all rules from each file were loaded correctly.

    Please notice that automatic verification of (b) is a non-trivial problem
    and hence there is a list of exceptions - rules which are loaded correctly,
    but it cannot be easily checked.
duration: 15m
enabled: true
extra-nitrate: TC#0545827
extra-summary: /CoreOS/audit/Sanity/packaged-rules-files
extra-task: /CoreOS/audit/Sanity/packaged-rules-files
link:
  - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1462178
  - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1421416
  - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1767054
  - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1404093
recommend:
  - audit
  - aide
  - stunnel
  - cups
  - libreswan
  - selinux-policy-mls
  - Network-Manager
summary: Test sanity of packaged rules files
tag:
  - CI-Tier-1
  - NoRHEL4
  - NoRHEL5
  - NoRHEL6
  - TIPpass
  - TIPpass_Security
  - Tier1
  - Tier1security
test: ./runtest.sh
tier: '1'
name: /Sanity/packaged-rules-files
order: 50
id:
path: /Sanity/packaged-rules-files
manual: false
tty: false
environment: {}
result: respect
where:
check: []
restart-on-exit-code: []
restart-max-count: 1
restart-with-reboot: false
sources:
  - /var/tmp/tmt/run-017/Plans/gating/discover/Downstream_audit_tests/tests/main.fmf
  - /var/tmp/tmt/run-017/Plans/gating/discover/Downstream_audit_tests/tests/Sanity/packaged-rules-files/main.fmf
context: {}
